package concurrentcalc;

public class Setup {

	public static void main(String[] args) {
		
		// Konstante legen den Wertebereich fest
		final int maxRange = 10000;
		final int segments = 10;
		final int segmentSize=maxRange / segments;
		
		
		// Berechnen der Primzahlen in einzelnen Segmenten
		int startIndex = 0;
		while (startIndex < maxRange) {
			// Teilabschnitt festlegen
			final int endIndex = (startIndex + segmentSize < maxRange) ? startIndex + segmentSize : maxRange;

			// FindPrimeNumbers mit Wertebereich intitialisieren,
			// Primzahlen finden und ausgegeben
			final FindPrimeNumbers pn = new FindPrimeNumbers (startIndex,endIndex);
			pn.doCalculations();
			System.out.println(pn);			
			
			// nchstes Teilsegment in while-Schleife durchlaufen
			startIndex = endIndex;
			
		} // end while
		
		
		

	}	
	
}
